Package org.gradle.api.tasks.testing

# Class TestExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.tasks.testing.TestExecutionException

All Implemented Interfaces:
  `Serializable`

public class TestExecutionException extends GradleException

A `TestExecutionException` is thrown when no tests can be found that match the specified test filters.

Since:
  2.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestExecutionException(String message)`
  `TestExecutionException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TestExecutionException

    public TestExecutionException(String message)

  - ### TestExecutionException

    public TestExecutionException(String message, Throwable cause)